Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Null_Filter Class Reference

A null filter. More...

`#include <EC_Filter.h>`

Inheritance diagram for TAO_EC_Null_Filter:

[legend]
Collaboration diagram for TAO_EC_Null_Filter:

[legend]
List of all members.

## Public Methods
| TAO_EC_Null_Filter (void)
| constructor. More...
virtual int | filter (const RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
| Filter this event, returns 1 if the event is accepted, 0 otherwise. More...
virtual int | filter_nocopy (RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
virtual void | push (const RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
| This is called by the children when they accept an event and which to pass it up. More...
virtual void | push_nocopy (RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
virtual void | clear (void)
| Clear any saved state, must reset and assume no events have been received. More...
virtual CORBA::ULong | max_event_size (void) const
| Returns the maximum size of the events pushed by this filter. More...
virtual int | can_match (const RtecEventComm::EventHeader &header) const
| Returns 0 if an event with that header could never be accepted. More...
virtual int | add_dependencies (const RtecEventComm::EventHeader &header, const TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
| This is used for computing the scheduling dependencies:. More...

## Detailed Description

A null filter.

This filter accepts any kind of event, it is useful for the implementation: a) Consumers that accept all events b) Consumers that trust the filtering done at the Supplier layer. c) Event Channels that don't do filtering (such as CosEC backends)

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Null_Filter::TAO_EC_Null_Filter | ( | void |  | ) |

| constructor.

## Member Function Documentation

virtual int TAO_EC_Null_Filter::add_dependencies | ( | const RtecEventComm::EventHeader & | header,
|  | const TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| This is used for computing the scheduling dependencies:. Leaf filters check if the header could be matched, similar to the can_match() method; if it does they return 1, and 0 otherwise. Intermediate nodes always return 0. This is used to build precise dependencies between the suppliers and the leaf of the filters that accept that event. Notice that only the nodes doing scheduling recurse through the list, so in configurations that do no require scheduling the recursion stops fairly soon. Reimplemented from TAO_EC_Filter.

int TAO_EC_Null_Filter::can_match | ( | const RtecEventComm::EventHeader & | header | ) | const`[virtual]`

| Returns 0 if an event with that header could never be accepted. This can used by the suppliers to filter out consumers that couldn't possibly be interested in their events. The rt_info and Reimplemented from TAO_EC_Filter.

void TAO_EC_Null_Filter::clear | ( | void |  | ) | `[virtual]`

| Clear any saved state, must reset and assume no events have been received. Reimplemented from TAO_EC_Filter.

int TAO_EC_Null_Filter::filter | ( | const RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Filter this event, returns 1 if the event is accepted, 0 otherwise. Notice that there are two versions of the method, if the event is not const then filter can take ownership of the event. Reimplemented from TAO_EC_Filter.

int TAO_EC_Null_Filter::filter_nocopy | ( | RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_EC_Filter.

CORBA::ULong TAO_EC_Null_Filter::max_event_size | ( | void |  | ) | const`[virtual]`

| Returns the maximum size of the events pushed by this filter. Reimplemented from TAO_EC_Filter.

void TAO_EC_Null_Filter::push | ( | const RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| This is called by the children when they accept an event and which to pass it up. Notice that there are two versions of the method, if the event is not const then filter can take ownership of the event. Reimplemented from TAO_EC_Filter.

void TAO_EC_Null_Filter::push_nocopy | ( | RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_EC_Filter.

The documentation for this class was generated from the following files:

- EC_Filter.h
- EC_Filter.cpp
- EC_Filter.i